OutboundPaymentQuote represents a quote that provides fee and amount estimates for OutboundPayment.
Attributes
- idstring
Unique identifier for the OutboundPaymentQuote.
- objectstring, value is "v2.money_management.outbound_payment_quote"
String representing the object’s type. Objects of the same type share the same value of the object field.
- amountobject
The “presentment amount” for the OutboundPaymentQuote.
- createdtimestamp
Time at which the OutboundPaymentQuote was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.
- delivery_
optionsnullable object Delivery options to be used to send the OutboundPayment.
- estimated_
feesarray of objects The estimated fees for the OutboundPaymentQuote.
- fromobject
Details about the sender of an OutboundPaymentQuote.
- fx_
quoteobject The underlying FXQuote details for the OutboundPaymentQuote.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - toobject
Details about the recipient of an OutboundPaymentQuote.
{ "id": "obpq_test_65SH4Ui1am0VPJsl9Ht16R6SM1DrE9cwLCbFmOzpO7ESO8", "object": "v2.money_management.outbound_payment_quote", "amount": { "value": 1000, "currency": "gbp" }, "created": "2025-03-28T17:17:45.253Z", "delivery_options": null, "estimated_fees": [ { "amount": { "value": 2, "currency": "gbp" }, "type": "payout_fee" }, { "amount": { "value": 3, "currency": "gbp" }, "type": "cross_border_fee" }, { "amount": { "value": 1.5, "currency": "gbp" }, "type": "fx_fee" } ], "from": { "debited": { "value": 1000, "currency": "gbp" }, "financial_account": "fa_test_65R6SO61eK9ThYXegpO16R6SM1DrE9cwLCbFmOzpO7E2Fk" }, "fx_quote": { "rates": { "gbp": { "exchange_rate": "1.19599" } }, "to_currency": "eur" }, "to": { "credited": { "value": 1196, "currency": "eur" }, "payout_method": "frba_test_61SGnRTvcEWKPakGS16SGnR3E2SQicOtL82PNxQa8IKG", "recipient": "acct_test_61SGnR3uRIDJxlXGn66SGnR3E2SQicOtL82PNxQa8OUq" }}Creates an OutboundPaymentQuote usable in an OutboundPayment.
Learn more about calling API v2 endpoints.Parameters
- amountobjectRequired
The “presentment amount” to be sent to the recipient.
- fromobjectRequired
Request details about the sender of an OutboundPaymentQuote.
- toobjectRequired
Request details about the recipient of an OutboundPaymentQuote.
- delivery_
optionsobject Method to be used to send the OutboundPayment.
Returns
Response attributes
- idstring
Unique identifier for the OutboundPaymentQuote.
- objectstring, value is "v2.money_management.outbound_payment_quote"
String representing the object’s type. Objects of the same type share the same value of the object field.
- amountobject
The “presentment amount” for the OutboundPaymentQuote.
- createdtimestamp
Time at which the OutboundPaymentQuote was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.
- delivery_
optionsnullable object Delivery options to be used to send the OutboundPayment.
- estimated_
feesarray of objects The estimated fees for the OutboundPaymentQuote.
- fromobject
Details about the sender of an OutboundPaymentQuote.
- fx_
quoteobject The underlying FXQuote details for the OutboundPaymentQuote.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - toobject
Details about the recipient of an OutboundPaymentQuote.
Error returned when the recipient account in the OutboundPayment request is not configured as a recipient.
Error returned when the specified amount exceeds the payout method’s amount limits.
Error returned when user selected a delivery option but the specified amount exceeds the method limits.
Error returned when a payout method is not provided in the OutboundPayment request and the recipient account does not have a default payout method.
Error returned when the selected delivery option is not supported for the payout method.
Error returned when the balance type in the OutboundPayment/OutboundTransfer request does not support the provided currency.
Error returned when the payout method country does not match the recipient account country.
Error returned when user does not specify the delivery option or provides automatic, and the amount exceeds all the possible delivery options for this payout method.
The user attempts to create an outbound flow from a closed Financial Account.
Error returned when the user is not allowed to make this OutboundPayment request.
Error returned when the provided payout method is expired.
Error returned when the payout method does not support the request’s payout method currency.
Error returned when recipient does not have the active features required to receive funds from this OutboundPayment request.
Error returned when user does not specify the delivery option or provides automatic, and recipient feature is not active for suitable delivery option.
The required storer capabilities are missing.
The required storer capabilities are not active.
Creation of an object is not allowed with a managed account.
Error returned when financial account in the OutboundPayment/OutboundTransfer request cannot be identified.
The resource wasn’t found.
Error returned when the payout method in the OutboundPayment/OutboundTransfer request cannot be identified.
Error returned when the recipient account in the OutboundPayment request cannot be identified.
An idempotent retry occurred with different request parameters.
{ "id": "obpq_test_65SH4Ui1am0VPJsl9Ht16R6SM1DrE9cwLCbFmOzpO7ESO8", "object": "v2.money_management.outbound_payment_quote", "amount": { "value": 1000, "currency": "gbp" }, "created": "2025-03-28T17:17:45.253Z", "delivery_options": null, "estimated_fees": [ { "amount": { "value": 2, "currency": "gbp" }, "type": "standard_payout_fee" }, { "amount": { "value": 3, "currency": "gbp" }, "type": "foreign_exchange_fee" }, { "amount": { "value": 1.5, "currency": "gbp" }, "type": "cross_border_payout_fee" } ], "from": { "debited": { "value": 1000, "currency": "gbp" }, "financial_account": "fa_test_65R6SO61eK9ThYXegpO16R6SM1DrE9cwLCbFmOzpO7E2Fk" }, "fx_quote": { "lock_duration": "five_minutes", "lock_expires_at": "2025-04-25T20:06:09.000Z", "lock_status": "active", "rates": { "gbp": { "exchange_rate": "1.19599" } }, "to_currency": "eur" }, "livemode": false, "to": { "credited": { "value": 1196, "currency": "eur" }, "payout_method": "frba_test_61SGnRTvcEWKPakGS16SGnR3E2SQicOtL82PNxQa8IKG", "recipient": "acct_test_61SGnR3uRIDJxlXGn66SGnR3E2SQicOtL82PNxQa8OUq" }}Retrieves the details of an existing OutboundPaymentQuote by passing the unique OutboundPaymentQuote ID.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The ID of the OutboundPaymentQuote to retrieve.
Returns
Response attributes
- idstring
Unique identifier for the OutboundPaymentQuote.
- objectstring, value is "v2.money_management.outbound_payment_quote"
String representing the object’s type. Objects of the same type share the same value of the object field.
- amountobject
The “presentment amount” for the OutboundPaymentQuote.
- createdtimestamp
Time at which the OutboundPaymentQuote was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.
- delivery_
optionsnullable object Delivery options to be used to send the OutboundPayment.
- estimated_
feesarray of objects The estimated fees for the OutboundPaymentQuote.
- fromobject
Details about the sender of an OutboundPaymentQuote.
- fx_
quoteobject The underlying FXQuote details for the OutboundPaymentQuote.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - toobject
Details about the recipient of an OutboundPaymentQuote.
The resource wasn’t found.
{ "id": "obpq_test_65SH4Ui1am0VPJsl9Ht16R6SM1DrE9cwLCbFmOzpO7ESO8", "object": "v2.money_management.outbound_payment_quote", "amount": { "value": 1000, "currency": "gbp" }, "created": "2025-03-28T17:17:45.253Z", "delivery_options": null, "estimated_fees": [ { "amount": { "value": 2, "currency": "gbp" }, "type": "standard_payout_fee" }, { "amount": { "value": 3, "currency": "gbp" }, "type": "foreign_exchange_fee" }, { "amount": { "value": 1.5, "currency": "gbp" }, "type": "cross_border_payout_fee" } ], "from": { "debited": { "value": 1000, "currency": "gbp" }, "financial_account": "fa_test_65R6SO61eK9ThYXegpO16R6SM1DrE9cwLCbFmOzpO7E2Fk" }, "fx_quote": { "lock_duration": "five_minutes", "lock_expires_at": "2025-04-25T20:06:09.000Z", "lock_status": "active", "rates": { "gbp": { "exchange_rate": "1.19599" } }, "to_currency": "eur" }, "livemode": false, "to": { "credited": { "value": 1196, "currency": "eur" }, "payout_method": "frba_test_61SGnRTvcEWKPakGS16SGnR3E2SQicOtL82PNxQa8IKG", "recipient": "acct_test_61SGnR3uRIDJxlXGn66SGnR3E2SQicOtL82PNxQa8OUq" }}